=== modified file 'src/Application.vala'
--- src/Application.vala	2017-05-08 10:39:31 +0000
+++ src/Application.vala	2017-06-03 12:06:11 +0000
@@ -200,10 +200,16 @@
 
         /* Convert remaining arguments to GFiles */
         foreach (string filepath in remaining) {
-            var file = File.new_for_commandline_arg (filepath);
-
-            if (file != null)
+            string path = PF.FileUtils.sanitize_path (filepath, null);
+            GLib.File? file = null;
+
+            if (path.length > 0) {
+                file = File.new_for_uri (PF.FileUtils.escape_uri (path));
+            }
+
+            if (file != null) {
                 files += (file);
+            }
         }
         /* Open application */
         if (create_new_window) {

